# $Revision: 1.35 $, $Date: 2009/12/20 02:17:51 $
#

Summary:	Cross PPC GNU binary utility development utilities - binutils
Summary(es.UTF-8):	Utilitarios para desarrollo de binarios de la GNU - PPC binutils
Summary(fr.UTF-8):	Utilitaires de développement binaire de GNU - PPC binutils
Summary(pl.UTF-8):	Skrośne narzędzia programistyczne GNU dla PPC - binutils
Summary(pt_BR.UTF-8):	Utilitários para desenvolvimento de binários da GNU - PPC binutils
Summary(tr.UTF-8):	GNU geliştirme araçları - PPC binutils
Name:		crossppc-binutils
Version:	2.20.51.0.3
Release:	1
License:	GPL v3+
Group:		Development/Tools
Source0:	ftp://ftp.kernel.org/pub/linux/devel/binutils/binutils-%{version}.tar.bz2
# Source0-md5:	4d5cdcfa054e697ba92a37f55b125080
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/binutils-non-english-man-pages.tar.bz2
# Source1-md5:	a717d9707ec77d82acb6ec9078c472d6
Patch0:		binutils-gasp.patch
Patch1:		binutils-info.patch
Patch2:		binutils-libtool-relink.patch
Patch3:		binutils-pt_pax_flags.patch
Patch5:		binutils-flex.patch
Patch6:		binutils-discarded.patch
Patch7:		binutils-absolute-gnu_debuglink-path.patch
Patch8:		binutils-libtool-m.patch
Patch9:		binutils-build-id.patch
Patch10:	binutils-tooldir.patch
URL:		http://sources.redhat.com/binutils/
BuildRequires:	autoconf >= 2.64
BuildRequires:	automake >= 1:1.11
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gettext-devel
BuildRequires:	libstdc++-devel >= 6:4.0-1
BuildRequires:	perl-tools-pod
%ifarch sparc sparc32
BuildRequires:	sparc32
%endif
BuildRequires:	texinfo >= 4.2
Conflicts:	gcc-c++ < 5:3.3
ExcludeArch:	ppc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		target		ppc-pld-linux
%define		arch		%{_prefix}/%{target}

%description
Binutils is a collection of binary utilities, including:
- ar - create, modify and extract from archives,
- nm - lists symbols from object files,
- objcopy - copy and translate object files,
- objdump - display information from object files,
- ranlib - generate an index for the contents of an archive,
- size - list the section sizes of an object or archive file,
- strings - list printable strings from files,
- strip - discard symbols,
- c++filt - a filter for demangling encoded C++ symbols,
- addr2line - convert addresses to file and line,
- nlmconv - convert object code into an NLM.

This package contains the cross version for PPC.

%description -l pl.UTF-8
Pakiet binutils zawiera zestaw narzędzi umożliwiających kompilację
programów. Znajdują się tutaj między innymi assembler, konsolidator
(linker), a także inne narzędzia do manipulowania binarnymi plikami
programów i bibliotek.

Ten pakiet zawiera wersję skrośną generującą kod dla PPC.

%prep
%setup -q -n binutils-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%{?with_pax:%patch3 -p1}
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1

# file contains hacks for ac 2.59 only
rm config/override.m4

%build
%{__aclocal}
%{__autoconf}

# non-standard regeneration (needed because of gasp patch)
# AM_BINUTILS_WARNINGS in bfd/warning.m4, ZW_GNU_GETTEXT_SISTER_DIR in config/gettext-sister.m4
for dir in gas bfd; do
	cd $dir || exit 1
	%{__aclocal} -I .. -I ../config -I ../bfd
	%{__automake} Makefile
	%{__automake} doc/Makefile
	%{__autoconf}
	cd ..
done

cp -f /usr/share/automake/config.* .

CFLAGS="%{rpmcflags}"; export CFLAGS
CC="%{__cc}"; export CC
%ifarch sparc
sparc32 \
%endif
./configure %{_target_platform} \
	--disable-debug \
	--disable-werror \
	--enable-build-warnings=,-Wno-missing-prototypes \
	--disable-shared \
	--disable-nls \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--infodir=%{_infodir} \
	--mandir=%{_mandir} \
	--with-tooldir=%{arch} \
	--enable-gold=both \
	--target=%{target}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_prefix}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT%{_infodir}/standards.info*

# remove these man pages unless we cross-build for win*/netware platforms.
# however, this should be done in Makefiles.
rm $RPM_BUILD_ROOT%{_mandir}/man1/{*dlltool,*nlmconv,*windres}.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/%{target}-*
%dir %{arch}
%dir %{arch}/bin
%attr(755,root,root) %{arch}/bin/*
%dir %{arch}/lib
%{arch}/lib/ldscripts
%{_mandir}/man?/%{target}-*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: crossppc-binutils.spec,v $
Revision 1.35  2009/12/20 02:17:51  sparky
- up to 2.20.51.0.3 (sync with binutils package)

Revision 1.34  2009/04/22 11:04:50  sparky
- up to 2.19.51.0.4 (sync with binutils.spec)

Revision 1.33  2009/04/19 13:16:34  sparky
- up to 2.19.51.0.3 (sync with binutils.spec)

Revision 1.32  2008/09/22 15:12:59  sparky
- update to 2.18.50.0.9, sync patches and build with binutils.spec@HEAD

Revision 1.31  2007/03/17 10:30:31  pluto
- updated to 2.17.50.0.13.

Revision 1.30  2007/02/12 21:23:51  glen
- tabs in preamble

Revision 1.29  2007/02/12 00:48:43  baggins
- converted to UTF-8

Revision 1.28  2006/08/01 19:12:48  pluto
- updated to 2.17.50.0.3.

Revision 1.27  2006/05/11 18:14:31  pluto
- updated to 2.17.50.0.1.

Revision 1.26  2006/05/05 11:37:59  pluto
- updated to 2.16.91.0.7.

Revision 1.25  2006/03/03 14:57:44  pluto
- md5.

Revision 1.24  2006/03/03 12:06:13  pluto
- updated to 2.16.91.0.6.

Revision 1.23  2006/01/04 15:37:27  pluto
- updated to 2.16.91.0.5.

Revision 1.22  2005/09/08 15:02:51  pluto
- pass -fno-strict-aliasing to avoid wrong-code (aliasing violations).

Revision 1.21  2005/09/05 07:05:34  pluto
- updated to 2.16.91.0.3.

Revision 1.20  2005/07/28 19:07:53  pluto
- updated to 2.16.91.0.2.

Revision 1.19  2005/06/26 13:25:08  pluto
- updated to 2.16.91.0.1.

Revision 1.18  2005/05/15 18:48:52  pluto
- updated to 2.16.90.0.3.

Revision 1.17  2005/05/02 15:29:03  pluto
- updated to 2.16.90.0.2.

Revision 1.16  2005/04/29 00:55:33  pluto
- disable nls.

Revision 1.15  2005/04/28 23:25:24  pluto
- updated to 2.16.90.0.1.

Revision 1.14  2005/04/07 12:18:20  pluto
- updated to 2.15.94.0.2.2.

Revision 1.13  2005/02/10 18:37:56  pluto
- oops, md5.

Revision 1.12  2005/02/10 18:24:00  pluto
- updated to 2.15.94.0.2.

Revision 1.11  2004/11/24 08:42:25  pluto
- updated to 2.15.94.0.1.

Revision 1.10  2004/10/03 15:08:13  pluto
- updated to 2.15.92.0.2.

Revision 1.9  2004/06/14 18:46:14  ankry
- added missing dir

Revision 1.8  2004/06/13 14:08:05  ankry
- now should build

Revision 1.7  2004/06/13 12:02:54  ankry
- md5

Revision 1.6  2004/06/13 11:33:18  ankry
- 2.15.91.0.1

Revision 1.5  2004/06/13 06:57:44  ankry
- fixed BRs, hopefully fixed build on sparc & amd64, unification

Revision 1.4  2004/06/11 22:38:52  ankry
- BR: gettext-devel

Revision 1.3  2004/06/11 21:34:34  ankry
- removed bogus changelog entry

Revision 1.2  2004/05/28 17:55:02  qboosh
- ExcludeArch: ppc (conflicts with native toolchain)

Revision 1.1  2004/05/28 12:42:10  adasi
- sed -e "s/sparc/ppc/g" -e "s/SPARC/PPC/g" from crosssparc-binutils
- testing if it works
